Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QColormap

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.gui.QColormap

All Implemented Interfaces:
  QtJambiInterface, java.lang.Cloneable

    public class QColormap

extends QtJambiObject
implements java.lang.Cloneable

The `QColormap` class maps device independent `QColors` to device dependent pixel values.

Nested Class Summary
`static class` | `QColormap.Mode`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Constructor Summary
`QColormap(QColormap colormap)` Constructs a copy of another `colormap`.

Method Summary
`QColormap` | `clone()` This method is reimplemented for internal reasons
`QColor` | `colorAt(int pixel)` Returns a `QColor` for the `pixel`.
`java.util.List` | `colormap()` Returns a vector of colors which represents the devices colormap for `Indexed` and `Gray` modes.
`int` | `depth()` Returns the depth of the device.
`static QColormap` | `fromNativePointer(QNativePointer nativePointer)` This method returns the QColormap instance pointed to by `nativePointer`.
`static QColormap` | `instance()` Returns the colormap for the specified `screen`.
`static QColormap` | `instance(int screen)` Returns the colormap for the specified `screen`.
`QColormap.Mode` | `mode()` Returns the mode of this colormap.
`static QNativePointer` | `nativePointerArray(QColormap[] array)` This function returns a QNativePointer that is pointing to the specified QColormap array.
`int` | `pixel(QColor color)` Returns a device dependent pixel value for the `color`.
`int` | `size()` Returns the size of the colormap for `Indexed` and `Gray` modes; Returns -1 for `Direct` mode.

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QColormap

    public QColormap(QColormap colormap)

  Constructs a copy of another `colormap`.

Method Detail

### colorAt

    public final QColor colorAt(int pixel)

  Returns a `QColor` for the `pixel`.

See also:
  `pixel()`.

### colormap

    public final java.util.List colormap()

  Returns a vector of colors which represents the devices colormap for `Indexed` and `Gray` modes. This function returns an empty vector for `Direct` mode.

See also:
  `size()`.

### depth

    public final int depth()

  Returns the depth of the device.

See also:
  `size()`.

### mode

    public final QColormap.Mode mode()

  Returns the mode of this colormap.

See also:
  `QColormap::Mode` .

### pixel

    public final int pixel(QColor color)

  Returns a device dependent pixel value for the `color`.

See also:
  `colorAt()`.

### size

    public final int size()

  Returns the size of the colormap for `Indexed` and `Gray` modes; Returns -1 for `Direct` mode.

See also:
  `colormap()`.

### instance

    public static QColormap instance()

  Returns the colormap for the specified `screen`. If `screen` is -1, this function returns the colormap for the default screen.

### instance

    public static QColormap instance(int screen)

  Returns the colormap for the specified `screen`. If `screen` is -1, this function returns the colormap for the default screen.

### fromNativePointer

    public static QColormap fromNativePointer(QNativePointer nativePointer)

  This method returns the QColormap instance pointed to by `nativePointer`.

### nativePointerArray

    public static QNativePointer nativePointerArray(QColormap[] array)

  This function returns a QNativePointer that is pointing to the specified QColormap array.

### clone

    public QColormap clone()

  This method is reimplemented for internal reasons

  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD